linux-kernel.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
From: Rolf Eike Beer <eb@emlix.com>
To: David Woodhouse <dwmw2@infradead.org>
Cc: Linux Kernel Developers List <linux-kernel@vger.kernel.org>,
	David Howells <dhowells@redhat.com>,
	keyrings@vger.kernel.org
Subject: [PATCH v3] scripts: use pkg-config to locate libcrypto
Date: Thu, 06 Jun 2019 10:55:52 +0200	[thread overview]
Message-ID: <20538915.Wj2CyUsUYa@devpool35> (raw)

From 71e19be4247fbaa2540dfb321e2b148234680a13 Mon Sep 17 00:00:00 2001
From: Rolf Eike Beer <eb@emlix.com>
Date: Thu, 22 Nov 2018 16:40:49 +0100
Subject: [PATCH] scripts: use pkg-config to locate libcrypto

Otherwise build fails if the headers are not in the default location. While at
it also ask pkg-config for the libs, with fallback to the existing value.

Signed-off-by: Rolf Eike Beer <eb@emlix.com>
Cc: stable@vger.kernel.org # 4.19.x
---
 scripts/Makefile | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

v2: add CRYPTO_LIBS and CRYPTO_CFLAGS
v3: fix fallback -lcrypto

diff --git a/scripts/Makefile b/scripts/Makefile
index 9d442ee050bd..9489c3b550df 100644
--- a/scripts/Makefile
+++ b/scripts/Makefile
@@ -8,7 +8,11 @@
 # conmakehash:   Create chartable
 # conmakehash:	 Create arrays for initializing the kernel console tables
 
+PKG_CONFIG?= pkg-config
+
 HOST_EXTRACFLAGS += -I$(srctree)/tools/include
+CRYPTO_LIBS = $(shell $(PKG_CONFIG) --libs libcrypto 2> /dev/null || echo -lcrypto)
+CRYPTO_CFLAGS = $(shell $(PKG_CONFIG) --cflags libcrypto 2> /dev/null)
 
 hostprogs-$(CONFIG_BUILD_BIN2C)  += bin2c
 hostprogs-$(CONFIG_KALLSYMS)     += kallsyms
@@ -23,8 +27,9 @@ hostprogs-$(CONFIG_SYSTEM_EXTRA_CERTIFICATE) += insert-sys-cert
 
 HOSTCFLAGS_sortextable.o = -I$(srctree)/tools/include
 HOSTCFLAGS_asn1_compiler.o = -I$(srctree)/include
-HOSTLDLIBS_sign-file = -lcrypto
-HOSTLDLIBS_extract-cert = -lcrypto
+HOSTLDLIBS_sign-file = $(CRYPTO_LIBS)
+HOSTCFLAGS_extract-cert.o = $(CRYPTO_CFLAGS)
+HOSTLDLIBS_extract-cert = $(CRYPTO_LIBS)
 
 always		:= $(hostprogs-y) $(hostprogs-m)
 
-- 
2.21.0


-- 
Rolf Eike Beer, emlix GmbH, http://www.emlix.com
Fon +49 551 30664-0, Fax +49 551 30664-11
Gothaer Platz 3, 37083 Göttingen, Germany
Sitz der Gesellschaft: Göttingen, Amtsgericht Göttingen HR B 3160
Geschäftsführung: Heike Jordan, Dr. Uwe Kracke – Ust-IdNr.: DE 205 198 055

emlix - smart embedded open source



             reply	other threads:[~2019-06-06  8:55 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-06  8:55 Rolf Eike Beer [this message]
2019-07-03  9:57 ` [PATCH v3] scripts: use pkg-config to locate libcrypto Rolf Eike Beer
2019-07-03 11:20   ` Enrico Weigelt, metux IT consult
2019-09-10  6:41 ` [PATCH v3][RESEND] " Rolf Eike Beer
     [not found]   ` <20190910104830.C1B0E2067B@mail.kernel.org>
2019-09-11 13:43     ` Rolf Eike Beer
2019-11-29  7:56   ` [PATCH v3][RESEND #2] " Rolf Eike Beer
2020-04-27  8:11 ` [PATCH v4] " Rolf Eike Beer
2020-07-30 12:49   ` Rolf Eike Beer
2021-01-13 12:49   ` [PATCH v5] " Rolf Eike Beer
2021-01-13 15:57     ` Ben Boeckel
2021-01-13 16:00       ` Ben Boeckel
2021-01-14  3:50     ` Jarkko Sakkinen
2021-01-15  0:48     ` Jarkko Sakkinen
2021-01-25 11:56     ` Rolf Eike Beer
2021-01-26  6:30       ` Masahiro Yamada
2021-01-26  8:01         ` Rolf Eike Beer
2021-01-26 16:02           ` Masahiro Yamada
2021-01-27  7:50     ` [PATCH v6] " Rolf Eike Beer
2021-01-28  6:37       ` Masahiro Yamada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20538915.Wj2CyUsUYa@devpool35 \
    --to=eb@emlix.com \
    --cc=dhowells@redhat.com \
    --cc=dwmw2@infradead.org \
    --cc=keyrings@vger.kernel.org \
    --cc=linux-kernel@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).